com.tibco.datagrid

## Interface TableListener

- All Superinterfaces:
    java.lang.AutoCloseable

      public interface TableListener
      extends java.lang.AutoCloseable

  The TableListener object allows a user to receive notifications of asynchronous events occuring on a Table delivered to your handler class `TableEventHandler`

  The call that creates a TableListener is `Table.createTableListener`.

  A program that creates a TableListener must explicitly call `TableListener.close` to reclaim its resources.

  This interface is implemented internally. Applications do not implement this interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TIBDG_LISTENER_PROPERTY_STRING_EVENT_TYPE_LIST` Property name for TableListener event type list; string.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close a TableListener.
    `java.lang.String` | `getFilter()` Get the filter string used during creation of TableListener.
    `Table` | `getTable()` Get the Table object that was used to create the TableListener.

- - ### Field Detail

    - #### TIBDG_LISTENER_PROPERTY_STRING_EVENT_TYPE_LIST

          static final java.lang.String TIBDG_LISTENER_PROPERTY_STRING_EVENT_TYPE_LIST

      Property name for TableListener event type list; string.

      When creating a table listener, supply this property to `Table.createTableListener`. Its value should be a string containing a comma separated list of event types that can be used to configure the listener to only receive events of a specific type or types (ex: only expired and deleted). Only put, delete, and expired are currently supported as valid event types to use in the string. Error events will always be delivered. Use the utility function `EventType.listToString` to construct the string from an array of event types.

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTable

          Table getTable()
                  throws DataGridException

      Get the Table object that was used to create the TableListener.

      Returns:
        `Table`
      Throws:
        `DataGridException` - in case of failures

    - #### getFilter

          java.lang.String getFilter()
                              throws DataGridException

      Get the filter string used during creation of TableListener.

      Returns:
        filter string
      Throws:
        `DataGridException` - in case of failures

    - #### close

          void close()
              throws DataGridException

      Close a TableListener.

      Release all resources associated with this TableListener object.

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `DataGridException` - in case of failures